# Visualization

For a detailed tutorial, please refer to our [Visualization Tutorial](../tutorials/visualization_tutorial.ipynb).

## Jupyter Visualization

```{eval-rst}
.. automodule:: mesa.visualization.solara_viz
   :members:
   :undoc-members:
   :show-inheritance:
```

## User Parameters

```{eval-rst}
.. automodule:: mesa.visualization.UserParam
   :members:
   :undoc-members:
   :show-inheritance:
```
